> For the complete documentation index, see [llms.txt](https://docs.archisketch.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.archisketch.com/guide/dev-en/api-sdk/api/space.md).

# Space

## Get Room Type List

> Retrieves the list of room types.\
> \
> \### Use Cases\
> \- Retrieve full list of room types\
> \- Configure room type selection UI

```json
{"openapi":"3.1.0","info":{"title":"Open API","version":"snapshot"},"tags":[{"name":"Space"}],"servers":[{"url":"https://openapi.archisketch.com"}],"security":[{"open-api-key":[]}],"paths":{"/api/v1/room/types":{"get":{"tags":["Space"],"summary":"Get Room Type List","description":"Retrieves the list of room types.\n\n### Use Cases\n- Retrieve full list of room types\n- Configure room type selection UI","operationId":"getRoomTypes","responses":{"200":{"description":"All responses return 200 (including success and failure) (5xx is exposed only in error conditions)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseListRoomTypeResponse"}}}}}}}}}
```

## Get Single Room Type

> Retrieves a single room type's information using the room type code.\
> \
> \### Use Cases\
> \- Retrieve detailed information of a specific room type

```json
{"openapi":"3.1.0","info":{"title":"Open API","version":"snapshot"},"tags":[{"name":"Space"}],"servers":[{"url":"https://openapi.archisketch.com"}],"security":[{"open-api-key":[]}],"paths":{"/api/v1/room/types/{roomCode}":{"get":{"tags":["Space"],"summary":"Get Single Room Type","description":"Retrieves a single room type's information using the room type code.\n\n### Use Cases\n- Retrieve detailed information of a specific room type","operationId":"getRoomType","parameters":[{"name":"roomCode","in":"path","description":"Room code","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"All responses return 200 (including success and failure) (5xx is exposed only in error conditions)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseRoomTypeResponse"}}}}}}}}}
```
